> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List market explorer companies

> List the companies in a published market, intended for Market Explorer use. 
    Differs from a draft study by having company metadata populated, and having completed a detailed scrape.



## OpenAPI

````yaml get /v2/markets/{marketId}/explorer/companies
openapi: 3.0.0
info:
  title: Forestreet API
  version: 1.0.0
  description: API documentation for Forestreet API
servers:
  - url: https://rest.forestreet.com
    description: Forestreet API V2 server
security:
  - apiKeyAuth: []
  - bearerAuth: []
  - sessionIdQuery: []
tags: []
paths:
  /v2/markets/{marketId}/explorer/companies:
    get:
      tags:
        - Markets
      summary: List market explorer companies
      description: >-
        List the companies in a published market, intended for Market Explorer
        use. 
            Differs from a draft study by having company metadata populated, and having completed a detailed scrape.
      parameters:
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: ID of the market whose explorer companies will be retrieved.
          required: true
          description: ID of the market whose explorer companies will be retrieved.
          name: marketId
          in: path
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Unique identifier for the team used to access the market, for
              determining access rights and blacklists.
                  Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
          required: false
          description: >-
            Unique identifier for the team used to access the market, for
            determining access rights and blacklists.
                Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
          name: teamId
          in: path
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Unique identifier for the team used to access the market, for
              determining access rights and blacklists.
                  Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
          required: false
          description: >-
            Unique identifier for the team used to access the market, for
            determining access rights and blacklists.
                Team ID can be provided either in path or query parameter for backward compatibility; exactly one is required.
          name: teamId
          in: query
        - schema:
            type: string
            description: Search term to filter companies by name, or description.
          required: false
          description: Search term to filter companies by name, or description.
          name: search
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: domains
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: categories
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: userTags
          in: query
        - schema:
            type: boolean
            nullable: true
          required: false
          name: favourites
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: topics
          in: query
        - schema:
            type: array
            items:
              type: string
            description: >-
              Filter by feature architecture node IDs. Prefix with 'e:' to
              exclude (e.g., '1, 2, e:3').
          required: false
          description: >-
            Filter by feature architecture node IDs. Prefix with 'e:' to exclude
            (e.g., '1, 2, e:3').
          name: features
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: size
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: revenueRange
          in: query
        - schema:
            type: boolean
            nullable: true
          required: false
          name: isLocationVerified
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: hqCountry
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: hqState
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: hqCity
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: phrases
          in: query
        - schema:
            type: object
            properties:
              min:
                type: integer
                minimum: 0
                maximum: 100
              max:
                type: integer
                minimum: 0
                maximum: 100
            required:
              - min
              - max
          required: false
          name: momentumScoreRange
          in: query
        - schema:
            type: object
            properties:
              min:
                type: integer
                minimum: 1700
                maximum: 2026
              max:
                type: integer
                minimum: 1700
                maximum: 2026
            required:
              - min
              - max
          required: false
          name: foundedYearRange
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            default: 1
            description: Page number to retrieve, starting from 1.
          required: false
          description: Page number to retrieve, starting from 1.
          name: page
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            maximum: 500
            default: 50
            description: Number of companies per page.
          required: false
          description: Number of companies per page.
          name: pageSize
          in: query
        - schema:
            type: object
            properties:
              field:
                type: string
                enum:
                  - name
                  - domain
                  - companySize
                  - companyRevenue
                  - yearFounded
                  - numberOfLocations
                  - hqCountry
                  - hqState
                  - hqCity
                  - momentumScore
                  - starred
              order:
                type: string
                enum:
                  - asc
                  - desc
            required:
              - field
              - order
          required: false
          name: sort
          in: query
        - schema:
            type: string
            description: Filter companies by version date.
          required: false
          description: Filter companies by version date.
          name: versionDate
          in: query
      responses:
        '200':
          description: Market explorer companies response schema
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: number
                            description: >-
                              Total number of items for the returned dataset
                              after filtering.
                          totalPages:
                            type: number
                            description: >-
                              Total number of pages for the returned dataset
                              after filtering.
                          currentPage:
                            type: number
                            description: Current page number.
                          pageSize:
                            type: number
                            description: Number of items per page.
                          unfilteredTotalItems:
                            type: number
                            description: >-
                              Total number of items for the original dataset
                              before filtering.
                          unfilteredTotalPages:
                            type: number
                            description: >-
                              Total number of pages for the original dataset
                              before filtering.
                        required:
                          - totalItems
                          - totalPages
                          - currentPage
                          - pageSize
                        description: >-
                          Schema for pagination metadata, including total items,
                          total pages, current page, and page size.
                        example:
                          totalItems: 123
                          totalPages: 13
                          currentPage: 1
                          pageSize: 10
                          unfilteredTotalItems: 196
                          unfilteredTotalPages: 20
                      marketVersion:
                        type: object
                        properties:
                          currentVersion:
                            type: string
                            nullable: true
                          availableVersions:
                            type: array
                            nullable: true
                            items:
                              type: string
                              nullable: true
                    required:
                      - pagination
                      - marketVersion
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        domain:
                          type: string
                        size:
                          type: object
                          nullable: true
                          properties:
                            value:
                              type: string
                            sortValue:
                              type: number
                          required:
                            - value
                            - sortValue
                        revenue:
                          type: object
                          nullable: true
                          properties:
                            value:
                              type: string
                            sortValue:
                              type: number
                          required:
                            - value
                            - sortValue
                        logoURL:
                          type: string
                          nullable: true
                        name:
                          type: string
                          nullable: true
                        description:
                          type: string
                          nullable: true
                        foundedYear:
                          type: number
                          nullable: true
                        hqCity:
                          type: string
                          nullable: true
                        hqState:
                          type: string
                          nullable: true
                        hqCountry:
                          type: string
                          nullable: true
                        momentum:
                          type: object
                          nullable: true
                          properties:
                            funding:
                              type: number
                              nullable: true
                            webTraffic:
                              type: number
                              nullable: true
                            mediaAnalysis:
                              type: number
                              nullable: true
                            newsSentiment:
                              type: number
                              nullable: true
                            revenueEstimates:
                              type: number
                              nullable: true
                        overallMomentum:
                          type: number
                          nullable: true
                        actualRevenue:
                          nullable: true
                        shareholdersList:
                          type: array
                          nullable: true
                          items:
                            nullable: true
                        locations:
                          type: number
                          nullable: true
                        topics:
                          type: array
                          nullable: true
                          items:
                            type: object
                            properties:
                              topicId:
                                type: string
                              name:
                                type: string
                              score:
                                type: number
                            required:
                              - topicId
                              - name
                              - score
                        versionDate:
                          type: string
                          nullable: true
                        userTags:
                          type: array
                          nullable: true
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              label:
                                type: string
                                nullable: true
                              hexColor:
                                type: string
                                nullable: true
                              companyId:
                                type: string
                              parentTagId:
                                type: number
                            required:
                              - id
                              - label
                              - hexColor
                              - companyId
                              - parentTagId
                        isFavourite:
                          type: boolean
                          nullable: true
                        categories:
                          type: array
                          nullable: true
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              name:
                                type: string
                            required:
                              - id
                              - name
                        isLocationVerified:
                          type: boolean
                          nullable: true
                        certifications:
                          type: array
                          nullable: true
                          items:
                            type: string
                        contactNumber:
                          type: string
                          nullable: true
                        contactEmail:
                          type: string
                          nullable: true
                        parentCompany:
                          type: string
                          nullable: true
                        subsidiaries:
                          type: array
                          nullable: true
                          items:
                            type: string
                        founders:
                          type: array
                          nullable: true
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              type:
                                type: string
                                nullable: true
                              image:
                                type: string
                                nullable: true
                            required:
                              - name
                        ceo:
                          type: string
                          nullable: true
                        ukCompaniesHouseIds:
                          type: array
                          nullable: true
                          items:
                            type: string
                        ukPersonsWithSignificantControl:
                          type: array
                          nullable: true
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              name:
                                type: string
                              ownership:
                                type: array
                                nullable: true
                                items:
                                  type: string
                              type:
                                type: string
                                nullable: true
                              status:
                                type: boolean
                                nullable: true
                              companyId:
                                type: string
                                nullable: true
                              companiesHouseURL:
                                type: string
                                nullable: true
                            required:
                              - id
                              - name
                      required:
                        - id
                        - domain
                required:
                  - metadata
                  - data
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                INVALID_INPUT:
                  value:
                    success: false
                    errorCode: INVALID_INPUT
                    message: Bad Request
        '403':
          description: Forbidden - You do not have access to this market
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                FORBIDDEN:
                  value:
                    success: false
                    errorCode: FORBIDDEN
                    message: Forbidden - You do not have access to this market
        '404':
          description: Not Found - Market companies not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                NOT_FOUND:
                  value:
                    success: false
                    errorCode: NOT_FOUND
                    message: Not Found - Market companies not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                INTERNAL_SERVER_ERROR:
                  value:
                    success: false
                    errorCode: INTERNAL_SERVER_ERROR
                    message: Internal Server Error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Pass a static API key for every request, provided by your customer
        support.
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication, using a sessionId generated by `GET
        /v2/auth/session`.
    sessionIdQuery:
      type: apiKey
      in: query
      name: sessionId
      description: >-
        Session ID passed as a query parameter for authentication, provided by
        `GET /v2/auth/session`.

````